Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.group.impl
Class DefaultGroupMemberFactory

    java.lang.Object
      com.pietschy.command.group.impl.DefaultGroupMemberFactory

All Implemented Interfaces:
  GroupMemberFactory

Direct Known Subclasses:
  DebugGroupMemberFactory

    public class DefaultGroupMemberFactory

extends java.lang.Object
implements GroupMemberFactory

Default implementation of `GroupMemberFactory`.

Constructor Summary
`DefaultGroupMemberFactory()`

Method Summary
`GroupMember` | `createDynamicMember(CommandGroup parent, java.lang.String commandId, boolean inlineGroup)` Create a dynamic member that user the current `CommandContainer` context.
`ExpansionPointMember` | `createExpansionPointMember(java.lang.String name)` Creates an expansion point member.
`GroupMember` | `createGlueMember()` Creates a glue member.
`GroupMember` | `createInlineMember(CommandGroup parent, CommandGroup group)` Create an inline member that embeds the specified group into the parent.
`GroupMember` | `createSeparatorMember()` Creates a separator member.
`GroupMember` | `createStaticMember(CommandGroup parent, Command command)` Create a static member adds the specified command directly into the parent.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultGroupMemberFactory

    public DefaultGroupMemberFactory()

Method Detail

### createDynamicMember

    public GroupMember createDynamicMember(CommandGroup parent,
                                           java.lang.String commandId,
                                           boolean inlineGroup)

  Description copied from interface: `GroupMemberFactory`
  Create a dynamic member that user the current `CommandContainer` context.

  Specified by:
    `createDynamicMember` in interface `GroupMemberFactory`
  Parameters:
    `parent` - The parent group.
    `commandId` - the command id to be added.
    `inlineGroup` - `true` if the command is a group that is to be inlined.
  Returns:
    a new member instance.

### createStaticMember

    public GroupMember createStaticMember(CommandGroup parent,
                                          Command command)

  Description copied from interface: `GroupMemberFactory`
  Create a static member adds the specified command directly into the parent.

  Specified by:
    `createStaticMember` in interface `GroupMemberFactory`
  Parameters:
    `parent` - The parent group.
    `command` - the command to add.
  Returns:
    a new member instance.

### createInlineMember

    public GroupMember createInlineMember(CommandGroup parent,
                                          CommandGroup group)

  Description copied from interface: `GroupMemberFactory`
  Create an inline member that embeds the specified group into the parent.

  Specified by:
    `createInlineMember` in interface `GroupMemberFactory`
  Parameters:
    `parent` - The parent group.
    `group` - the gropu to inline into the parent.
  Returns:
    a new member instance.

### createGlueMember

    public GroupMember createGlueMember()

  Description copied from interface: `GroupMemberFactory`
  Creates a glue member.

  Specified by:
    `createGlueMember` in interface `GroupMemberFactory`
  Returns:
    a new member instance.

### createSeparatorMember

    public GroupMember createSeparatorMember()

  Description copied from interface: `GroupMemberFactory`
  Creates a separator member.

  Specified by:
    `createSeparatorMember` in interface `GroupMemberFactory`
  Returns:
    a new member instance.

### createExpansionPointMember

    public ExpansionPointMember createExpansionPointMember(java.lang.String name)

  Description copied from interface: `GroupMemberFactory`
  Creates an expansion point member.

  Specified by:
    `createExpansionPointMember` in interface `GroupMemberFactory`
  Returns:
    a new expansion point member.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch